
QGIS Application - Bug report #20192

qgis 3.2 crashing when applying a changed rule based style on a geopackage stored on a network

2018-10-23 05:27 AM - damien stephens

Status: Closed

Priority: High

Assignee:

Category: Symbology

Affected QGIS version:3.2.3 Regression?: No

Operating System: Easy fix?: No

Pull Request or Patch supplied:No Resolution: no timely feedback

Crashes QGIS or corrupts data:Yes Copied to github as #: 28013

Description

Adding a new rule based style to an existing style file on  geopackage layer. QGIS crashes when Applied.

History

#1 - 2018-10-23 10:20 AM - Giovanni Manghi

- Status changed from Open to Feedback

- Category changed from Forms to Symbology

It happens only if the datasource is o a network? Is the style saved in the db or a separate file? Can you share sample data and styles?

#2 - 2018-11-08 01:31 PM - Giovanni Manghi

Please try on QGIS 3.4.1, if the issue is still valid change the affected version, thanks.

#3 - 2019-02-11 04:16 AM - Nyall Dawson

- Resolution set to no timely feedback

- Status changed from Feedback to Closed

Files

crash rept.txt 1021 Bytes 2018-10-23 damien stephens
